Skip to content

Broker Policy Detail

GET
/api/v1/broker/policies/{policy_id}
curl --request GET \
--url https://example.com/api/v1/broker/policies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0
policy_id
required
Policy Id
string format: uuid

Successful Response

Media typeapplication/json
BrokerPolicyDetail
object
id
required
Id
string format: uuid
submission_id
Any of:
string format: uuid
insured_id
Any of:
string format: uuid
insured_name
Any of:
string
dba_name
Any of:
string
policy_number
Any of:
string
binder_number
Any of:
string
status
required
Status
string
status_label
required
Status Label
string
lines
Lines
Array<string>
coverages
Coverages
Array<string>
effective_date
Any of:
string format: date
expiration_date
Any of:
string format: date
bound_at
Any of:
string format: date-time
issued_at
Any of:
string format: date-time
carrier_name
Any of:
string
underwriting_carrier
Any of:
string
naic_code
Any of:
string
admitted
Any of:
boolean
insurers
Insurers
Array<object>
BrokerPolicyInsurer

One insurer’s participation on a policy’s quota-share panel.

object
name
Any of:
string
naic_code
Any of:
string
participation_pct
required
Participation Pct
string
is_lead
required
Is Lead
boolean
net_premium
Any of:
string
policy_fee
Any of:
string
broker_fee
Any of:
string
stamping_fee
Any of:
string
surplus_lines_tax
Any of:
string
total_billed
Any of:
string
minimum_earned_premium
Any of:
string
commission_rate
Any of:
string
commission_amount
Any of:
string
payment_plan
Any of:
string
down_payment
Any of:
string
installment_count
Any of:
integer
installment_amount
Any of:
string
is_bond
Is Bond
boolean
bond_details
Any of:
object
key
additional properties
any
documents
Documents
Array<object>
BrokerPolicyDocument
object
kind
required
Kind
string
label
required
Label
string
download_path
required
Download Path
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{
"is_bond": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}